from libra_toolbox.neutron_detection.activation_foils.settings import ureg

foil_data = {
    "20231109_BABY-4_Nb-2I_0659_4hr": {
        "foil_name": "2I",
        "generator": "P383",
        "run": 4,
        "foil_mass": 0.2769 * ureg.g,
        "photon_counts": 204620 * ureg.count,
        "photon_counts_uncertainty": 554.976 * ureg.count,
        "time_generator_off": "11/8/2023 20:00:00",
        "start_time_counting": "11/9/2023 6:59:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20231109_BABY-4_Nb-2I_1623_4hr": {
        "foil_name": "2I",
        "generator": "P383",
        "run": 4,
        "foil_mass": 0.2769 * ureg.g,
        "photon_counts": 204037 * ureg.count,
        "photon_counts_uncertainty": 553.67 * ureg.count,
        "time_generator_off": "11/8/2023 20:00:00",
        "start_time_counting": "11/9/2023 16:23:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20231109_BABY-4_Nb-2J_2027_4hr": {
        "foil_name": "2J",
        "generator": "A325",
        "run": 4,
        "foil_mass": 0.26 * ureg.g,
        "photon_counts": 69701.8 * ureg.count,
        "photon_counts_uncertainty": 392.842 * ureg.count,
        "time_generator_off": "11/8/2023 20:00:00",
        "start_time_counting": "11/9/2023 20:27:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20231110_BABY-4_Nb-2J_1442_4hr": {
        "foil_name": "2J",
        "generator": "A325",
        "run": 4,
        "foil_mass": 0.26 * ureg.g,
        "photon_counts": 71450.6 * ureg.count,
        "photon_counts_uncertainty": 403.716 * ureg.count,
        "time_generator_off": "11/8/2023 20:00:00",
        "start_time_counting": "11/10/2023 14:42:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20231209_BABY-5_Nb-B_A125dt_0922_4hr": {
        "foil_name": "B",
        "generator": "A325",
        "run": 5,
        "foil_mass": 0.2831 * ureg.g,
        "photon_counts": 80626 * ureg.count,
        "photon_counts_uncertainty": 406.153 * ureg.count,
        "time_generator_off": "12/6/2023 21:48:00",
        "start_time_counting": "12/9/2023 9:22:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20231209_BABY-5_Nb-B_A125dt_1609_4hr": {
        "foil_name": "B",
        "generator": "A325",
        "run": 5,
        "foil_mass": 0.2831 * ureg.g,
        "photon_counts": 80444.73 * ureg.count,
        "photon_counts_uncertainty": 400.639 * ureg.count,
        "time_generator_off": "12/6/2023 21:48:00",
        "start_time_counting": "12/9/2023 16:09:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20231208_BABY-5_Nb-D_P383dt_1132_4hr": {
        "foil_name": "D",
        "generator": "P383",
        "run": 5,
        "foil_mass": 0.2776 * ureg.g,
        "photon_counts": 195136 * ureg.count,
        "photon_counts_uncertainty": 524.683 * ureg.count,
        "time_generator_off": "12/6/2023 21:48:00",
        "start_time_counting": "12/8/2023 11:32:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20231208_BABY-5_Nb-D_P383dt_1555_4hr": {
        "foil_name": "D",
        "generator": "P383",
        "run": 5,
        "foil_mass": 0.2776 * ureg.g,
        "photon_counts": 197226 * ureg.count,
        "photon_counts_uncertainty": 647.726 * ureg.count,
        "time_generator_off": "12/6/2023 21:48:00",
        "start_time_counting": "12/8/2023 15:55:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20240128_BABY6_Nb-A_A-325_1054_4hr": {
        "foil_name": "A",
        "generator": "A325",
        "run": 6,
        "foil_mass": 0.2733 * ureg.g,
        "photon_counts": 76100.8 * ureg.count,
        "photon_counts_uncertainty": 416.398 * ureg.count,
        "time_generator_off": "1/26/2024 21:38:00",
        "start_time_counting": "1/28/2024 10:54:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20240128_BABY6_Nb-A_A-325_1638_4hr": {
        "foil_name": "A",
        "generator": "A325",
        "run": 6,
        "foil_mass": 0.2733 * ureg.g,
        "photon_counts": 75449.6 * ureg.count,
        "photon_counts_uncertainty": 408.274 * ureg.count,
        "time_generator_off": "1/26/2024 21:38:00",
        "start_time_counting": "1/28/2024 16:38:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20240127_BABY6_Nb-C_P383_1313_4hr": {
        "foil_name": "C",
        "generator": "P383",
        "run": 6,
        "foil_mass": 0.2869 * ureg.g,
        "photon_counts": 199604 * ureg.count,
        "photon_counts_uncertainty": 535.974 * ureg.count,
        "time_generator_off": "1/26/2024 21:38:00",
        "start_time_counting": "1/27/2024 13:13:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
    "20240127_BABY6_Nb-C_P383_1738_4hr": {
        "foil_name": "C",
        "generator": "P383",
        "run": 6,
        "foil_mass": 0.2869 * ureg.g,
        "photon_counts": 194856 * ureg.count,
        "photon_counts_uncertainty": 531.229 * ureg.count,
        "time_generator_off": "1/26/2024 21:38:00",
        "start_time_counting": "1/27/2024 17:38:00",
        "counting_time": 4 * ureg.h,
        "distance_from_center_of_target_plane": 5.08 * ureg.cm,
    },
}
